#import "../Fragments/MyPages/AccountPage/AccountPageContentDynamicContent.graphql"
#import "../Fragments/MyPages/AccountPage/AccountPageContentShortcuts.graphql"
#import "../Fragments/MyPages/AccountPage/AccountPageContentTextContent.graphql"

#import "../Fragments/Refs/MyPages/AccountPage.graphql"
#import "../Fragments/Refs/ContentPage.graphql"
#import "../Fragments/Refs/LoyaltyPage/LoyaltyPage.graphql"
#import "../Fragments/Refs/System.graphql"

query GetAccountPage($locale: String!, $uid: String!) {
  account_page(locale: $locale, uid: $uid) {
    heading
    url
    title
    content {
      __typename
      ...AccountPageContentDynamicContent
      ...AccountPageContentShortcuts
      ...AccountPageContentTextContent
    }
  }
}

query GetAccountPageRefs($locale: String!, $uid: String!) {
  account_page(locale: $locale, uid: $uid) {
    content {
      ... on AccountPageContentDynamicContent {
        __typename
        dynamic_content {
          link {
            linkConnection {
              edges {
                node {
                  __typename
                  ...AccountPageRef
                  ...LoyaltyPageRef
                }
              }
            }
          }
        }
      }
      ... on AccountPageContentShortcuts {
        __typename
        shortcuts {
          shortcuts {
            linkConnection {
              edges {
                node {
                  __typename
                  ...AccountPageRef
                  ...ContentPageRef
                  ...LoyaltyPageRef
                }
              }
            }
          }
        }
      }
    }
    system {
      ...System
    }
  }
}

query GetDaDeEnUrlsAccountPage($uid: String!) {
  de: all_account_page(where: { uid: $uid }, locale: "de") {
    items {
      url
    }
  }
  en: all_account_page(where: { uid: $uid }, locale: "en") {
    items {
      url
    }
  }
  da: all_account_page(where: { uid: $uid }, locale: "da") {
    items {
      url
    }
  }
}

query GetFiNoSvUrlsAccountPage($uid: String!) {
  fi: all_account_page(where: { uid: $uid }, locale: "fi") {
    items {
      url
    }
  }
  no: all_account_page(where: { uid: $uid }, locale: "no") {
    items {
      url
    }
  }
  sv: all_account_page(where: { uid: $uid }, locale: "sv") {
    items {
      url
    }
  }
}
